name: ibeauty
description: A new Flutter project.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev


version: 1.0.0+1

environment:
  sdk: '>=3.2.5 <4.0.0'


dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  shared_preferences: ^2.1.1
  flutter_bloc: ^8.1.3
  provider: ^6.0.5
  get_it: ^7.6.0
  dio: ^5.1.2
  freezed: ^2.3.4
  dartz: ^0.10.1
  google_sign_in: ^6.1.0
  flutter_login_facebook: ^1.8.0
  sign_in_with_apple: ^4.3.0
  flutter_vibrate: ^1.3.0
  url_launcher: ^6.1.11
  image_picker: ^0.8.7+5
  connectivity_plus: ^5.0.1
  flutter_isolate: ^2.0.4
  google_maps_flutter: ^2.4.0
  osm_nominatim: ^2.0.1
  geolocator: ^9.0.2
  google_place: ^0.4.7
  webview_flutter: ^4.2.4
  ftoast: ^2.0.0
  flutter_displaymode: ^0.6.0
  flutter_downloader: ^1.11.4
  path_provider: ^2.1.1
  permission_handler: ^11.0.1
  android_path_provider: ^0.3.0
  google_maps_cluster_manager: ^3.0.0+1
  fluster: ^1.2.0
  add_2_calendar: ^3.0.1


  #ui
  flutter_screenutil: ^5.8.4
  pull_to_refresh: ^2.0.0
  google_fonts: ^4.0.4
  flutter_remix: ^0.0.3
  flutter_native_splash: ^2.2.19
  flutter_keyboard_visibility: ^6.0.0
  proste_indexed_stack: ^0.2.4
  flutter_svg: ^2.0.5
  cached_network_image: ^3.3.1
  carousel_slider: ^4.2.1
  smooth_page_indicator: ^1.1.0
  intl: ^0.18.1
  flutter_html: ^3.0.0-alpha.6
  zoom_pinch_overlay: ^1.4.1+3
  rotated_corner_decoration: ^2.1.0+1
  lottie: ^2.3.2
  flutter_speed_dial: ^6.3.0
  photo_view: ^0.14.0
  flutter_advanced_switch: ^3.0.1
  flutter_slidable: ^3.0.0
  swipe_to: ^1.0.2
  flutter_swipe_detector: ^2.0.0
  flutter_rating_bar: ^4.0.1
  auto_size_text: ^3.0.0
  grouped_list: ^5.1.2
  sms_autofill: ^2.3.0
  phone_text_field: ^0.0.6
  colornames: ^0.1.0
  map_launcher: ^2.5.0+1
  jiffy: ^6.2.1
  video_player: ^2.7.2
  chewie: ^1.7.1
  readmore: ^2.2.0
  flutter_share: ^2.0.0
  flutter_staggered_grid_view: ^0.7.0
  flutter_calendar_carousel: ^2.4.2
  easy_date_timeline: ^1.0.2

  #firebase
  firebase_core: ^2.12.0
  firebase_auth: ^4.6.0
  firebase_messaging: ^14.6.0
  cloud_firestore: ^4.8.1
  firebase_dynamic_links: ^5.3.0

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^2.0.0
  freezed_annotation: ^2.4.1
  build_runner: ^2.4.7
  flutter_launcher_icons: ^0.13.1

flutter_icons:
  android: true
  ios: true
  remove_alpha_ios: true
  image_path: 'assets/images/app_logo.png'

flutter_native_splash:
  background_image: 'assets/images/loginBg.png'
  android_12:
  fullscreen: true

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/svg/
    - assets/lottie/

